/***************************************************************************
                          searchdlg.h  -  description
                             -------------------
    begin                : Tue Jul 10 2001
    copyright            : (C) 2001 by The KXMLEditor Team
    email                : lvanek@eanet.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SEARCHDLG_H
#define SEARCHDLG_H

#include <qwidget.h>
#include <searchdlgbase.h>

/**Dialog for input information from user
about searching in XML document
  *@author Lumir Vanek
  */

class SearchDlg : public SearchDlgBase
{
   Q_OBJECT
public:
	SearchDlg(QWidget *parent=0, const char *name=0, bool modal = false);
	~SearchDlg();
public slots: // Public slots

  /** Called when text in edit line is changed */
  void slotTextChanged(const QString &);
protected slots: // Protected slots
  /** Called when user press Find button */
  void slotSearch();

public:
	// public attributes
static QString		m_strSearchedString;
static bool 			m_bMatchCase;
static bool				m_bElementNames;
static bool				m_bAttributeNames;
static bool				m_bAttributeValues;
static bool				m_bContents;
};

#endif
