/***************************************************************************
                          xmlattributedlg.h  -  description
                             -------------------
    begin                : Tue Jul 10 2001
    copyright            : (C) 2001 by The KXMLEditor Team
    email                : lvanek@eanet.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef XMLATTRIBUTEDLG_H
#define XMLATTRIBUTEDLG_H

#include <qwidget.h>
#include <xmlattributedlgbase.h>

/**Dialog for editing XML attribute properties
  *@author Lumir Vanek
  */

class XmlAttributeDlg : public XmlAttributeDlgBase
{
   Q_OBJECT
public:
	XmlAttributeDlg(QWidget *parent=0, const char *name=0, bool modal = true);
	~XmlAttributeDlg();

public slots: // Public slots
  /** Called, when user press OK button */
  void slotOk();

public: // Public attributes
  /** XML attribute name */
  QString m_strAttributeName;

	/** XML attribute value */
  QString m_strAttributeValue;

protected slots: // Protected slots
  /** Called, when XML attribute name is changed in edit line */
  void slotAttributeNameChanged(const QString &);
};

#endif
