/***************************************************************************
                          xmlelementdlg.h  -  description
                             -------------------
    begin                : Tue Jul 10 2001
    copyright            : (C) 2001 by The KXMLEditor Team
    email                : lvanek@eanet.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef XMLELEMENTDLG_H
#define XMLELEMENTDLG_H

#include <qwidget.h>
#include <xmlelementdlgbase.h>

/**Dialog for editing XML element properties
  *@author Lumir Vanek
  */

class XmlElementDlg : public XmlElementDlgBase
{
   Q_OBJECT
public:
	XmlElementDlg(QWidget *parent=0, const char *name=0, bool modal = false, bool = true);
	~XmlElementDlg();

public slots: // Public slots
  /** Called, when user press OK button */
  void slotOk();

public: // Public attributes
  /** XML element name */
  QString m_strElementName;

  /** Insert bew contents at top of bottom ? */
  int m_iWhereToInsert;

protected slots: // Protected slots
  /** Called when element name in edit line is changed */
  void slotElementNameChanged(const QString &);
};

#endif
